DROP TABLE IF EXISTS `weather_current`;
DROP TABLE IF EXISTS `weather_forecast`;


CREATE TABLE `weather_current` (
	`id` int(10) unsigned NOT NULL auto_increment,
	`city_id` int(10) unsigned NOT NULL default 0,
	`date` datetime NOT NULL,
	`cloud` tinyint(3) unsigned NOT NULL default 0,
	`t` tinyint(4) NOT NULL  default 0,
	`t_flik` tinyint(4) NOT NULL default 0,
	`p` smallint(6) NOT NULL default 0,
	`w` smallint(5) unsigned NOT NULL default 0,
	`w_rumb` smallint(5) unsigned NOT NULL,
	`h` tinyint(3) unsigned NOT NULL,
	`last_updated` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
	PRIMARY KEY (`id`),
	UNIQUE KEY `city_id` (`city_id`)
);

CREATE TABLE `weather_forecast` (
	`id` int(10) unsigned NOT NULL auto_increment,
	`city_id` int(10) unsigned NOT NULL,
	`date` date NOT NULL,
	`hour` tinyint(3) unsigned NOT NULL,
	`cloud` tinyint(3) unsigned NOT NULL,
	`precip` tinyint(3) unsigned NOT NULL,
	`t_min` tinyint(4) NOT NULL,
	`t_max` tinyint(4) NOT NULL,
	`p_min` smallint(6) NOT NULL,
	`p_max` smallint(6) NOT NULL,
	`w_min` smallint(5) unsigned NOT NULL,
	`w_max` smallint(5) unsigned NOT NULL,
	`w_rumb` smallint(5) unsigned NOT NULL,
	`h_min` tinyint(3) unsigned NOT NULL,
	`h_max` tinyint(3) unsigned NOT NULL,
	`wpi` tinyint(3) unsigned NOT NULL,
	`last_updated` timestamp NOT NULL default CURRENT_TIMESTAMP,
	PRIMARY KEY (`id`),
	UNIQUE KEY `forecast_unique` (`city_id`,`date`,`hour`)
);
